devguard
RisksId

Get the details of a single risk by id.

GET
/risks/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/risks/string/"
{  "id": "string",  "shortId": -9007199254740991,  "slug": "string",  "name": "string",  "ownerId": "string",  "description": "string",  "createdAt": "string",  "updatedAt": "string",  "archivedAt": "string",  "organizationId": "string",  "threatClassId": "string",  "vulnerabilityClassId": "string",  "impactDescription": "string",  "initialProbabilityRating": 0,  "initialImpactRating": 0,  "residualProbabilityRating": 0,  "residualImpactRating": 0,  "treatmentType": "UNKNOWN",  "treatmentDescription": "string",  "owner": {    "id": "string",    "slug": "string",    "name": "string",    "description": "string",    "archivedAt": "string",    "organizationId": "string",    "users": [      "string"    ]  },  "threatClass": {    "id": "string",    "slug": "string",    "name": "string",    "description": "string",    "createdAt": "string",    "updatedAt": "string",    "archivedAt": "string",    "organizationId": "string"  },  "vulnerabilityClass": {    "id": "string",    "slug": "string",    "name": "string",    "description": "string",    "createdAt": "string",    "updatedAt": "string",    "archivedAt": "string",    "organizationId": "string"  },  "affectedParties": [    {      "businessRoleId": "string",      "riskId": "string",      "organizationId": "string",      "businessRole": {        "id": "string",        "slug": "string",        "name": "string",        "description": "string",        "archivedAt": "string",        "organizationId": "string",        "users": [          "string"        ]      }    }  ],  "riskTreatments": [    {      "treatmentActionId": "string",      "riskId": "string",      "organizationId": "string",      "treatmentAction": {        "id": "string",        "shortId": -9007199254740991,        "slug": "string",        "name": "string",        "description": "string",        "ownerId": "string",        "createdAt": "string",        "updatedAt": "string",        "organizationId": "string",        "archivedAt": "string",        "dueDate": "string",        "status": "UNKNOWN"      }    }  ],  "controlLinks": [    {      "id": "string",      "controlCoverageId": "string",      "riskId": "string",      "organizationId": "string",      "linkedAt": "string",      "linkedBy": "string",      "controlCoverage": {        "id": "string",        "frameworkAdoptionId": "string",        "controlId": "string",        "coverageStatus": "FULL",        "coverageGap": "string",        "lastReviewedAt": "string",        "reviewedBy": "string",        "isNotRelevant": true,        "notRelevantReason": "string",        "notRelevantAt": "string",        "notRelevantBy": "string",        "policyId": "string",        "sectionUid": "string",        "organizationId": "string",        "createdAt": "string",        "updatedAt": "string",        "control": {          "id": "string",          "frameworkId": "string",          "parentId": "string",          "identifier": "string",          "slug": "string",          "type": "CATEGORY",          "isMandatory": true,          "name": "string",          "description": null,          "purpose": "string",          "isCentralized": true,          "createdAt": "string",          "updatedAt": "string"        }      }    }  ],  "labels": [    {      "riskId": "string",      "labelId": "string",      "organizationId": "string",      "label": {        "id": "string",        "slug": "string",        "name": "string",        "scope": "string",        "color": "string",        "createdAt": "string",        "updatedAt": "string",        "archivedAt": "string",        "organizationId": "string"      }    }  ]}

How is this guide?